# ZPoint

ZPoint ist ein simples "Präsentationsprogramm" für CP/M.

Ich habe es entwickelt, um eine Reihe von Textdateien als eine
Art Präsentation darzustellen.

Die Dateien müssen mit den Dateinamen ``ZPxx.TXT`` im gleichen Verzeichnis
wie ZPoint vorliegen, wobei ``xx`` eine fortlaufende Numerierung ist,
die bei 00 beginnt.

Es gibt zwei Versionen, einmal für Microsoft BASIC und einmal für CBASIC.
Die CBASIC-Version läßt sich mit CB80 compilieren und liegt anschließend als .com-Datei vor.

## Programmstart und Bedienung

``mbasic zpoint`` bzw. ``czpoint``

Nachdem ZPoint gestartet wurde, zeigt es sofort die erste Datei (``ZP00.TXT``) an.

In Zeile 24 wird die aktuelle Foliennummer in der Form "1/10" angezeigt.

Folgende Eingaben sind möglich:

* ``+`` lädt die nächste Datei
* ``-`` lädt die vorige Datei 
* ``0`` sprint zur ersten Datei (00)
* ``q`` beendet das Programm und kehrt zu CP/M zurück

Zwischen den Dateien wird der Bildschirm gelöscht und der Cursor in Position 0;0 gesetzt (VT100-Sequenzen).

Es findet ein "Wrap-Around" statt, d.h. bei Folie 0 geht es mit - zur Folie mit der größten Nummer
und umgekehrt von dort mit + zu Folie 0.
Hierfür wird beim Start des Programms geprüft, bis zu welcher Dateinummer Dateien existieren, sobald also
eine "Lücke" in der Numerierung ist, wird die letzte existierende Datei als höchste Nummer definiert.

## Dateien

``zpoint.bas`` ist die per SAVE abgespeicherte (tokenized) Datei des Programms
``zpointa.bas`` ist identisch, aber als ASCII-Datei abgespeichert (SAVE"ZPOINT",A)

``czpoint.bas`` CBASIC-Quellcode
``czpoint.com`` compilierte CBASIC-Version

## CBASIC-Version compilieren

--TODO--

